CodeForces 158DIce Sculptures(枚举)】的更多相关文章

一个暴力的枚举,枚举组成正多边形需要对应覆盖原先的几条边,范围为(1,n/3),然后维护最大值就可以了,注意初始化为-inf. #include<stdio.h> #include<iostream> #include<string.h> #include<algorithm> using namespace std; ]; int main() { int n; while(~scanf("%d",&n)){ ; ;i<n…
codeforces1183F 有技巧的暴力 传送门:https://codeforces.com/contest/1183/problem/F 题意: 给你n个数,要你从中选出最多三个数,使得三个数x,y,z互不相等,x,y,z之和最大是多少 题解: n到了2e5,并且有q组数据,所以我们这里需要有技巧的枚举 因为最多只能选取三个数 我们就可以分类讨论 选取一个数 那么这个数一定是最大的那个数 选取两个数 那么这个两个数互不为约数 选取三个数和选取两个数同理 我们将数组排序离散化后,从大到小的…
B. Suspects time limit per test 2 seconds memory limit per test 256 megabytes input standard input output standard output As Sherlock Holmes was investigating a crime, he identified n suspects. He knows for sure that exactly one of them committed the…
D. New Year Letter time limit per test 1 second memory limit per test 256 megabytes input standard input output standard output Many countries have such a New Year or Christmas tradition as writing a letter to Santa including a wish list for presents…
题目链接 思路如下 这题恶心的枚举任意区间的 最大值及次最大值 ,正常的操作是,是很难实现的,但偏偏有个 单调栈这个动西,能够完成这个任务,跟单调队列相似,有单调 递增.递减的栈,这一题我们需要维护的是:递减栈. 对于这个单调递减栈:指的是从 从栈的底部 --> 到 栈顶 元素值逐渐递减. ⚠️对于栈的push操作: 栈为空的时候:直接压入元素 栈不为空的时候:1. 当所压入的元素小于栈顶的元素的时候,直接压入该元素 ....2.当所压入的元素大于栈顶的元素的时候,如果这个时候,我们把这个元素直…
我预处理\(1e7log(1e7)\)的因数被T掉了,就不敢往这个复杂度想了--无奈去看AC代码 结果怎么暴举gcd剪一剪小枝就接近3s卡过去了!vector有锅(确信 const int maxn = 1e6 + 5, maxa = 1e7 + 5; int n, a, l, r; ll lcm = INF; int f[maxa], s[maxa]; int main() { read(n); rep(i, 1, n) { read(a); if (f[a]) s[a] = i; else…
题目链接:http://codeforces.com/problemset/problem/144/D 思路:首先spfa求出中心点S到其余每个顶点的距离,统计各顶点到中心点的距离为L的点,然后就是要统计在边上的点了,可以枚举边(这里边的数量最多也就100000条),对于枚举的某条边,如果它的其中某个端点到S的距离记过这条边,也就是满足一下这个条件:d1 + w == d2 || d2 + w == d1,那么边上符合要求的点最多只有一个,否则,就要判断d1,d2的关系,对于求出的边上的某个符合…
C. Anton and Making Potions 题目连接: http://codeforces.com/contest/734/problem/C Description Anton is playing a very interesting computer game, but now he is stuck at one of the levels. To pass to the next level he has to prepare n potions. Anton has a…
题目链接: http://codeforces.com/contest/435/problem/D D. Special Grid time limit per test:4 secondsmemory limit per test:256 megabytes 问题描述 You are given an n × m grid, some of its nodes are black, the others are white. Moreover, it's not an ordinary gri…
题目链接: http://www.codeforces.com/contest/666/problem/B 题意: 给你n个城市,m条单向边,求通过最短路径访问四个不同的点能获得的最大距离,答案输出一个满足条件的四个点. 题解: 首先预处理出任意两点的最短距离,用队列优化的spfa跑:O(n*n*logn) 现依次访问四个点:v1,v2,v3,v4 我们可以枚举v2,v3,然后求出v2的最远点v1,v3的最远点v4,为了保证这四个点的不同,直接用最远点会错,v1,v4相同时还要考虑次最远点来替换…